package com.yonge.cooleshow.biz.dal.vo.activity;

import com.alibaba.fastjson.JSON;
import com.yonge.cooleshow.common.enums.RewardTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-10-09
 */
public class UserRewardWrapper {


    // ("领奖id")
    private Long receiveRewardId;

    // ("奖品名称 ")
    private String rewardName;

     // ("奖品类型:  ACTUAL 实物 VIP 小酷AI会员 PIAMO_ROOM 琴房时长 COUPON(优惠券)")
    private RewardTypeEnum rewardType;

    // ("奖品描述 ")
    private String rewardDescribe;

    // ("奖品图片 ")
    private String imgUrl;

    // ("获奖时间")
    private Date winningTime;

    public Long getReceiveRewardId() {
        return receiveRewardId;
    }

    public void setReceiveRewardId(Long receiveRewardId) {
        this.receiveRewardId = receiveRewardId;
    }

    public String getRewardName() {
        return rewardName;
    }

    public void setRewardName(String rewardName) {
        this.rewardName = rewardName;
    }

    public RewardTypeEnum getRewardType() {
        return rewardType;
    }

    public void setRewardType(RewardTypeEnum rewardType) {
        this.rewardType = rewardType;
    }

    public String getRewardDescribe() {
        return rewardDescribe;
    }

    public void setRewardDescribe(String rewardDescribe) {
        this.rewardDescribe = rewardDescribe;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public Date getWinningTime() {
        return winningTime;
    }

    public void setWinningTime(Date winningTime) {
        this.winningTime = winningTime;
    }

    public String jsonString() {
        return JSON.toJSONString(this);
    }
}
